apt-cache(8)

NAZWA
apt-cache - narzędzie zarządzania pakietami APT -- manipulator do bufora

SKŁADNIA
apt-cache polecenie [argument ...]

OPIS
apt-cache wykonuje różnorodne operacje na buforze (cache) pakietów programu APT. apt-cache rzadko jest wywoływany bezpośrednio; jego operacje są zazwyczaj wywoływane przez inne narzędzia apt.

polecenie jest jednym z:

o   add plik1 [plik2] [...]

o   gencaches

o   showpkg pakiet1 [pakiet2] [...]

o   stats

o   dump

o   dumpavail

o   unmet

o   check

o   search

o   show

o   showpkg

o   depends

o   pkgnames

o   dotty

Jeżeli nie zostanie podana opcja -h lub --help, musi być użyte jedno z powyższych poleceń.

add add dodaje pliki zawierające indeks nazw pakietów do bufora.

gencaches
    gencaches wykonuje te same operacje, co apt-get check. Buduje bufor pakietów oraz źródeł pakietów na podstawie źródeł wymienionych w /etc/apt/sources.list oraz w pliku /var/lib/dpkg/status (lub w bazie RPM).

showpkg
    showpkg wypisuje informacje na temat pakietów podanych w linii poleceń. Dalsze argumenty są nazwami pakietów. Wyświetlane są dostępne wersje oraz odwrotne zależności dla każdego z podanych pakietów, jak również zwykłe zależności dla każdej z wersji. Proste (zwykłe) zależności to są pakiety, od których dany pakiet zależy; odwrotne zależności stanowią te pakiety, które zależą od danego pakietu. Tak więc, pakiet musi spełniać zależności proste, ale odwrotnych zależności - nie musi. Na przykład, apt-cache showpkg libreadline2 wypisze na wyjściu tekst podobny do poniższego:

    Package: libreadline2
    Versions:
    2.1-12(/var/lib/apt/lists/debian.midco.net_debian_dists_slink_main_binary-i386_Packages),
    Reverse Depends:
      libreadlineg2,libreadline2
      libreadline2-altdev,libreadline2
    Dependencies:
    2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null)) ldso (2 1.9.0-1)
    Provides:
    2.1-12 -
    Reverse Provides:

    Jak widać libreadline2 w wersji 2.1-12 zależy od libc5, ncurses3.0 i ldso, które muszą być zainstalowane, aby libreadline2 działała. Z kolei libreadlineg2 i libreadline2-altdev zależą od libreadline2. Jeżeli libreadline2 jest zainstalowany, to libc5 i ncurses3.0 muszą być także zainstalowane; natomiast libreadlineg2 oraz libreadline2-altdev zainstalowane być nie muszą. W celu zrozumienia, co oznaczają pozostałe linie, najlepiej przejrzeć kod źródłowy programu apt.

stats
    stats wypisuje statystyki dotyczące bufora pakietów. Nie wymaga żadnych argumentów. Wypisywane są następujące statystyki:

o   Całkowita liczba nazw pakietów (Total package names) jest to liczba nazw pakietów znajdujących się w buforze.

o   Zwykłe pakiety (Normal packages) jest to liczba zwykłych, regularnych nazw pakietów; są to pakiety, dla których istnieje relacja typu "jeden do jednego" pomiędzy ich nazwami a nazwami używanymi jako zależności przez zależne od nich pakiety. Większość pakietów należy do tej kategorii.

o   Pakiety czysto wirtualne (Pure virtual packages) jest to liczba pakietów, które istnieją tylko jako nazwa pakietu wirtualnego; to znaczy, pewne pakiety "pełnią rolę" ukrytą pod tą nazwą wirtualną, ale żaden pakiet nie używa tej nazwy jako swojej. Na przykład "mail-transport-agent" w systemie Debian GNU/Linux jest pakietem czysto wirtualnym; kilka pakietów pełni rolę "mail-transport-agent", ale żaden pakiet nie nazywa się "mail-transport-agent".

o   Pojedyncze pakiety wirtualne (Single virtual packages) jest to liczba pakietów, dla których istnieje tylko jeden pakiet który spełnia rolę danego pakietu wirtualnego. Na przykład, w systemie Debian GNU/Linux "X11-text-viewer" jest pakietem wirtualnym, ale tylko jeden pakiet - xless - pełni rolę "X11-text-viewer".

o   Mieszane pakiety wirtualne (Mixed virtual packages) jest to liczba pakietów, które albo pełnią rolę poszczególnych pakietów wirtualnych, albo nazywają się tak, jak nazwa pakietu wirtualnego. Na przykład, w systemie Debian GNU/Linux e2fsprogs jest zarówno zwykłym pakietem, jak i pakietem wirtualnym, którego rolę pełni pakiet e2compr.

o   Brakujące (Missing) jest to liczba nazw pakietów, do których odnoszą się jakieś zależności, ale które nie są spełnione przez żaden z dostępnych pakietów. Brakujące pakiety mogą być dowodem, że nie ma dostępu do całej dystrybucji albo że pakiet (rzeczywisty lub wirtualny) został usunięty z dystrybucji.

o   Całkowita liczba różnych wersji (Total distinct versions) jest to liczba wersji pakietów znajdujących się w buforze; tak więc ta wartość jest co najmniej równa liczbie wszystkich nazw pakietów. Jeżeli pobierane są pakiety z więcej niż jednej dystrybucji (na przykłada zarówno "stable", jak i "unstable"), wartość ta może być znacznie większa niż liczba wszystkich nazw pakietów.

o   Łącznie zależności (Total dependencies) jest to liczba relacji zależności zgłaszanych przez wszystkie pakiety w buforze.

dump
    dump pokazuje krótką listę wszystkich pakietów w buforze. Służy głównie do odpluskwiania.

dumpavail
    dumpavail wypisuje na standardowe wyjście (stdout) listę dostępnych pakietów. Jest to polecenie odpowiednie do użycia z programem dpkg(8) i jest używane w metodzie dselect(8)

unmet
    unmet pokazuje podsumowanie wszystkich niespełnionych zależności w buforze pakietów

check
    check jest funkcją losową służącą do testowania pewnych właściwości bufora pakietów. Nie używaj jej.

showpkg
    showpkg wypisuje strukturę bufora dla zadanego pakietu oraz pewne związane z nim informacje. Przeznaczona jest ona głównie do odpluskwiania.

show
    show spełnia funkcje podobne do dpkg --print-avail lub rpm -qi, pokazuje szczegółowe informacje o podanych pakietach.

search
    search wykonuje pełne wyszukiwanie podanego wzorca (wyrażenia regularnego) we wszystkich dostępnych plikach pakietów. Przeszukuje nazwy pakietów i ich opisy, wyszukując w nich podany łańcuch znaków i wypisuje nazwę pakietu i jego krótki opis. Jeżeli podana jest opcja --full, to dla każdego znalezionego pakietu informacje wypisywane na wyjściu są podobne do tego co pokazuje show. Jeżeli podano opcję --names-only to są przeszukiwane tylko nazwy pakietów, a nie ich długie opisy.

depends
    depends wypisuje listę wszystkich zależności dla danego pakietu i dla każdej zależności wszystkie możliwe pakiety, które mogą spełnić tę zależność.

pkgnames
    To polecenie wypisuje nazwy wszystkich pakietów zainstalowanych w systemie. Opcjonalnym argumentem jest przedrostek nazwy pakietów. Wynik jest odpowiedni do wykorzystanie przez funkcję powłoki uzupełniającą nazwy za pomocą klawisza tabulacji, a wynik jest wypisywany bardzo szybko. Tego polecenia najlepiej używać z opcją --no-generate.

dotty
    dotty pobiera listę pakietów z linii poleceń i generuje na wyjściu wynik odpowiedni dla programu dotty z pakietu GraphVis (http://www.research.att.com/sw/tools/graphviz/). Wynikiem będzie zbiór wierzchołków i krawędzi reprezentujących powiązania pomiędzy pakietami. Domyślnie, dla podanych pakietów wyśledzone zostaną wszystkie pakiety od nich zależne, co powoduje wypisanie bardzo dużego grafu. Można to zachowanie wyłączyć, używając opcji APT::Cache::GivenOnly.

    Wynikowe wierzchołki będą miały różnorakie kształty: zwykłe pakiety są prostokątami, czysto wirtualne to trójkąty, mieszane pakiety wirtualne są rombami, sześciokąty oznaczają brakujące pakiety. Pomarańczowe prostokąty oznaczają koniec rekursji (liście), niebieskie linie to pre-zależności, linie zielone - to konflikty.

    Uwaga, dotty nie potrafi narysować większego zbioru pakietów.

OPCJE
Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

-h, --help
    Pokazuje krótką informację o sposobie użycia.

-v, --version
    Pokazuje wersję programu.

-p, --pkg-cache
    Pozwala określić nazwę pliku do przechowywania bufora pakietów, który jest podstawowym buforem używanym we wszystkich operacjach. Odpowiadający element konfiguracji: Dir::Cache::pkgcache.

-s, --src-cache
    Pozwala określić nazwę pliku do przechowywania bufora źródeł. Jest on używany tylko przez gencaches i przechowuje przeanalizowaną wersję informacji o pakietach pobraną ze zdalnych źródeł. Podczas budowania bufora pakietów, bufor źródeł jest używany w celu uniknięcia ponownej analizy wszystkich plików pakietów. Odpowiadający element konfiguracji: Dir::Cache::srcpkgcache.

-q, --quiet
    Po cichu; wypisuje tylko informacje potrzebne do logowania, opuszczając wskaźniki postępu. Więcej znaków q spowoduje jeszcze bardziej ciche wyjście, maksimum wynosi 2. Można także ustawić poziom cichości za pomocą -q=#, nadpisując tym samym opcję z pliku konfiguracyjnego. Odpowiadający element konfiguracji: quiet.

-i, --important
    Wypisuje tylko ważne zależności. Używane z unmet powoduje wypisanie tylko zależności typu Depends i Pre-Depends. Odpowiadający element konfiguracji: APT::Cache::Important.

-f, --full
    Podczas szukania wypisuje pełną informację o pakiecie. Odpowiadający element konfiguracji: APT::Cache::ShowFull.

-a, --all-versions
    Wypisuje pełne rekordy dla wszystkich dostępnych wersji, ma zastosowanie tylko z poleceniem show. Odpowiadający element konfiguracji: APT::Cache::AllVersions

-g, --no-generate
    Nie wykonuje automatycznego przebudowania bufora pakietów, korzysta z istniejącego bufora. Odpowiadający element konfiguracji: APT::Cache::NoGenerate.

--names-only
    Przeszukuje tylko nazwy pakietów, pomijając szczegółowe opisy. Odpowiadający element konfiguracji: APT::Cache::NamesOnly

--all-names
    Powoduje, że pkgnames wypisze nazwy wszystkich pakietów, łącznie z pakietami wirtualnymi oraz pakietami o niespełnionych zależnościach. Odpowiadający element konfiguracji: APT::Cache::AllNames.

-c, --config-file
    Plik konfiguracyjny. Określa plik konfiguracyjny, którego należy użyć. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Informacje na temat składni można znaleźć w apt.conf(5).

-o, --option
    Ustawia opcję konfiguracyjną. Można ustawić dowolną opcję konfiguracyjną, Składnia jest następująca:
    -o Foo::Bar=bar

PLIKI

o   /etc/apt/sources.list lokalizacje, z których będą pobierane pakiety

o   /var/lib/apt/lists/ składnica informacji o stanie każdej lokalizacji pakietów podanej w sources.list

o   /var/lib/apt/lists/partial/ składnica informacji o stanie w trakcie pobierania.

ZOBACZ TAKŻE
apt-get(8), sources.list(5), apt.conf(5)

DIAGNOSTYKA
apt-cache zwraca zero, gdy zakończyło się pomyślnie, 100 dziesiętnie - w przypadku błędu.

BŁĘDY

Zobacz http://bugs.debian.org/apt. Aby złożyć raport o błędzie w APT, przeczytaj /usr/share/doc/debian/bug-reporting.txt lub użyj polecenia bug(1). Jeśli korzystasz z programu apt w systemie opartym na RPM, korzystaj z http://distro.conectiva.com.br/bugzilla/.

AUTOR
apt-get został napisany przez zespół APT <apt@packages.debian.org> a do potrzeb systemów opartych na RPM przystosował go Alfredo K. Kojima z Conectiva S.A. <kojima@conectiva.com.br>.